diff --git a/tests/test_sms.py b/tests/test_sms.py
index 5b688457..33855fc0 100644
--- a/tests/test_sms.py
+++ b/tests/test_sms.py
@@ -19,21 +19,21 @@ import logging
 import isodate
 import mock
 import pytest
-import utils
 from django.conf import settings
 from django.contrib.contenttypes.models import ContentType
 from django.urls import reverse
 from django.utils.translation import ugettext as _
 from requests import RequestException
-from test_manager import login
-from utils import FakedResponse
 
+import tests.utils
 from passerelle.apps.choosit.models import ChoositSMSGateway
 from passerelle.apps.ovh.models import OVHSMSGateway
 from passerelle.apps.sfr_dmc.models import SfrDmcGateway
 from passerelle.base.models import AccessRight, ApiUser, Job, ResourceLog
 from passerelle.sms.models import SMSLog, SMSResource
 from passerelle.utils.jsonresponse import APIError
+from tests.test_manager import login
+from tests.utils import FakedResponse
 
 pytestmark = pytest.mark.django_db
 
@@ -165,7 +165,7 @@ def test_connectors(app, connector, freezer):
 
         # perform job
         freezer.move_to('2019-01-01 01:00:03')
-        with utils.mock_url(
+        with tests.utils.mock_url(
             connector.URL, test_vector.get('response', ''), test_vector.get('status_code', 200)
         ):
             connector.jobs()
@@ -196,7 +196,7 @@ def test_sms_legacy_retry_after_error(app, connector, freezer):
     assert Job.objects.exists()
     assert Job.objects.get().status == 'registered'
     assert not Job.objects.get().after_timestamp
-    with utils.mock_url(
+    with tests.utils.mock_url(
         url=connector.URL,
         response={'status': 429, 'message': 'Too much requests.\nPlease retry in 3 seconds.'},
     ):
@@ -204,12 +204,12 @@ def test_sms_legacy_retry_after_error(app, connector, freezer):
     assert Job.objects.get().status == 'registered'
     assert Job.objects.get().after_timestamp
 
-    with utils.mock_url(url=connector.URL, response={'status': 100, 'credit_left': 22}):
+    with tests.utils.mock_url(url=connector.URL, response={'status': 100, 'credit_left': 22}):
         connector.jobs()
     assert Job.objects.get().status == 'registered'
 
     freezer.move_to('2019-01-01 00:00:11')
-    with utils.mock_url(url=connector.URL, response={'status': 100, 'creditLeft': 22}):
+    with tests.utils.mock_url(url=connector.URL, response={'status': 100, 'creditLeft': 22}):
         connector.jobs()
     assert Job.objects.get().status == 'completed'
     assert SMSLog.objects.exists()
@@ -411,7 +411,7 @@ def test_ovh_new_api(app, freezer):
     }
     base_url = connector.API_URL % {'serviceName': 'sms-test42'}
     url = base_url + 'jobs/'
-    with utils.mock_url(url, resp, 200) as mocked:
+    with tests.utils.mock_url(url, resp, 200) as mocked:
         connector.jobs()
     job = Job.objects.get(id=job_id)
     assert job.status == 'completed'
@@ -469,7 +469,7 @@ def test_ovh_new_api_credit(app, freezer, admin_user):
         'creditsLeft': 123,
     }
     ovh_url = connector.API_URL % {'serviceName': 'sms-test42'}
-    with utils.mock_url(ovh_url, resp, 200) as mocked:
+    with tests.utils.mock_url(ovh_url, resp, 200) as mocked:
         connector.jobs()
     connector.refresh_from_db()
     assert connector.credit_left == 123
@@ -481,7 +481,7 @@ def test_ovh_new_api_credit(app, freezer, admin_user):
     resp = {
         'creditsLeft': 456,
     }
-    with utils.mock_url(ovh_url, resp, 200) as mocked:
+    with tests.utils.mock_url(ovh_url, resp, 200) as mocked:
         connector.hourly()
     assert connector.credit_left == 456
 
@@ -507,13 +507,13 @@ def test_ovh_alert_emails(app, freezer, mailoutbox):
     freezer.move_to('2019-01-01 00:00:00')
     resp = {'creditsLeft': 101}
     ovh_url = connector.API_URL % {'serviceName': 'sms-test42'}
-    with utils.mock_url(ovh_url, resp, 200) as mocked:
+    with tests.utils.mock_url(ovh_url, resp, 200) as mocked:
         connector.hourly()
     assert len(mailoutbox) == 0
 
     resp = {'creditsLeft': 99}
     ovh_url = connector.API_URL % {'serviceName': 'sms-test42'}
-    with utils.mock_url(ovh_url, resp, 200) as mocked:
+    with tests.utils.mock_url(ovh_url, resp, 200) as mocked:
         connector.hourly()
     assert len(mailoutbox) == 1
 
@@ -530,12 +530,12 @@ def test_ovh_alert_emails(app, freezer, mailoutbox):
     freezer.move_to('2019-01-01 12:00:00')
     resp = {'creditsLeft': 99}
     ovh_url = connector.API_URL % {'serviceName': 'sms-test42'}
-    with utils.mock_url(ovh_url, resp, 200) as mocked:
+    with tests.utils.mock_url(ovh_url, resp, 200) as mocked:
         connector.hourly()
     assert len(mailoutbox) == 0
 
     freezer.move_to('2019-01-02 01:00:07')
-    with utils.mock_url(ovh_url, resp, 200) as mocked:
+    with tests.utils.mock_url(ovh_url, resp, 200) as mocked:
         connector.hourly()
     assert len(mailoutbox) == 1
 
@@ -558,7 +558,7 @@ def test_ovh_token_request(admin_user, app):
         'consumerKey': 'xyz',
         'validationUrl': 'https://eu.api.ovh.com/auth/?credentialToken=iQ1joJE',
     }
-    with utils.mock_url(ovh_request_token_url, ovh_response, 302) as mocked:
+    with tests.utils.mock_url(ovh_request_token_url, ovh_response, 302) as mocked:
         resp = resp.click('request access')
     assert resp.url == 'https://eu.api.ovh.com/auth/?credentialToken=iQ1joJE'
 
@@ -587,12 +587,12 @@ def test_ovh_token_request_error(admin_user, app):
     ovh_request_token_url = 'https://eu.api.ovh.com/1.0/auth/credential'
     ovh_response = {'message': 'Invalid application key'}
 
-    with utils.mock_url(ovh_request_token_url, ovh_response, 401) as mocked:
+    with tests.utils.mock_url(ovh_request_token_url, ovh_response, 401) as mocked:
         resp = resp.click('request access').follow()
     assert 'error requesting token: Invalid application key.' in resp.text
 
     ovh_response = 'not-json'
-    with utils.mock_url(ovh_request_token_url, ovh_response, 401) as mocked:
+    with tests.utils.mock_url(ovh_request_token_url, ovh_response, 401) as mocked:
         resp = resp.click('request access').follow()
     assert 'error requesting token: bad JSON response' in resp.text
 
